## postfix 3.9.1

=== debian/changelog ===
postfix (3.9.1-9) unstable; urgency=medium

  * the "let's break the toys" release part 2:
  * postfix.service: first step at possible hardening at the systemd level
    Drop as much privileges as seem safe for postfix operations
    Use ProtectSystem=full, let's see what happens
  * split startup procedure into two halves, setup+runtime, so that the runtime
    half can be run with restricted privs, while setup part needs chown etc
  * stop ordering postfix.service after network-online.target, but keep it
    after network.target, and mention how to enable this if needed
    (finally Closes: #854475)
  * tests: show logging from failed startup phase too
  * debian-postfix-chroot-cmd.patch: update
  * README.Debian: recommend un-chrooting postfix
  * README.Debian: rewrite notes about chroot and proxy: map
  * configure-instance: use "postfix chroot -c" to include custom services too
  * hurd.patch: update to include more libdirs like in linux case
  * debian-re-run-startup-through-systemd.patch: a few updates
  * rules: stop renaming postfix *.8 manpages to *.8postfix
  * rules: stop shipping /etc/postfix/dynamicmaps.cf.d
  * rules: hide dpkg-maintscript-helper calls from lintian.  It produces
    maintainer-script-should-not-use-dpkg-maintscript-helper, which is rather
    pointless, and other ways to avoid this warning results in uglier d/rules
    with this place being split into pieces.  Fighting with the tools.. :(
  * configure-instance: avoid removing ca-certificates.crt from the certs dir
    in chroot (Closes: #1003982), add comment explaining certs storages
  * 03_ldap3_by_default.diff: do not patch generated man/man5/ldap_table.5 -
    it is regenerated by "make manpages"
  * postfix.lintian-overrides: drop 2 now-unused overrides
  * changelog: add missing newline in an old (2001) entry

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 24 Dec 2024 21:21:04 +0300

postfix (3.9.1-8) unstable; urgency=medium

  * the "let's get chroot under control" release, plus some bugfixes
    for minor issues in previous release, and more cleanups
  * debian-postfix-chroot-cmd.patch: new 'chroot' subcommand for postfix
    command, to set/unset/query chroot status of postfix services in
    master.cf.  It helps to configure current master.cf to enable/disable
    chroot easily
  * source/options: man/ is also autogenerated, ignore it in source-diff
  * README.Debian: add a note about chroot and "postfix chroot"
  * configure-instance: use "postfix chroot" to query for chroot status
  * postfix.maintscript: rm_conffile /etc/network/ip-down.d/postfix
    (temporary, Closes: #1090820)
  * postinst: fixup html_directory=no on upgrade too (Closes: #1090852)
  * patches: remove hunks changing paths in master.cf from
    40_chroot_by_default.diff to 05_debian_defaults.diff
  * rules,05_debian_defaults.diff: move postfix-files patching to rules
  * patches: update debian-defaults.patch: rename from 05_debian_defaults.diff,
    get parts from 06_debian_paths.diff to it
  * rules: stop shipping doc.files in postfix-doc package, there's no need to
  * 06_debian_paths.diff: remove
  * main.cf.in: add comments and fill in some default values, so the new
    main.cf has comments near the values which are set in postinst

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Dec 2024 22:10:35 +0300

postfix (3.9.1-7) unstable; urgency=medium

  * the "let's break the toys" release part 1:
  * completelty redesign postfix multi-instance systemd setup;
    regular postfix service is back (and journalctl -u postfix etc);
    postfix@- is gone.  Pleas see the NEWS file for more details
    (Closes: #1088862, #928187)
  * `postfix start' now starts systemd postfix service and updates chroot
  * do not ship /etc/postfix/makedefs.out symlink (to /usr/share/postfix/)
  * do not include doc directories in postfix maps packages anymore, link to
    the main package doc dir instead
  * more cleanups for chroot setup and packaging

  * packaging changes:
  * maintscript: remove package names (defaults to $DPKG_MAINTSCRIPT_PACKAGE)
  * d/.gitignore: ignore debian/files
  * control: remove lsb-release build dep (forgotten after ${DEB_VENDOR} change
  * postinst: postconf -hx not -h (to expand names)
  * preinst: debconf is not used anymore
  * rules: only install listed examples from conf/, not everything
  * rules: use ${package} (in form of $mapbase) in foo-MAP generation script
    too (another place previously forgotten)
  * rules: move generated main.cf.debian & main.cf.dist from conf/ to meta/ -
    avoids cleaning them up
  * rules: keep original meta/postfix-files, create debian-specific in debian/
  * rules: make install-map a macro (readability)
  * rules: make doc dir for dynamic maps to be symlinks to main postfix package
  * rules: fixup manpage naming (8postfix) at install time
  * 41_rmail.diff: do not uncomment master.cf entry for uucp in 2024
  * collapse various dynamic map README files into main README.Debian
  * postinst &Co: perform (re)start in dpkg trigger
  * postinst,main.cf.in: fix clarify cyrus_sasl_config_path setting
  * d/main.cf.in: compatibility=3.9 for new install
  * d/main.cf.in: reword myorigin comment
  * d/postfix_groups.pl: drop, postfix can expand LDAP groups for a long time
  * make main.cf.proto & master.cf.proto to be regular conffiles
  * prerm: remove more dirs; rewrite
  * postinst: remove very old (<<2.5) sasl-smtp[d]->smtp[d] rename
  * postinst: drop permission fix from 2008 (2.5.0) for /var/lib/postfix
  * postinst: drop pre-historic update-inetd call disabling smtp
  * postinst,postrm: simplify file/dir permissions handling
  * postinst: note we should create /etc/aliases on new install
    even if no configuration is requested
  * rules: it is /etc/network/if-down.d, not ip-down.d (thanks axhn)
  * postinst,postrm,etc: stop messing with readme_directory
  * suggest to use proxy: map for chrooted config in README.Debian
    (Closes: #429742, #1003982)

