## postfix 3.10.1

=== debian/changelog ===
postfix (3.10.1-1) unstable; urgency=medium

  * new upstream release
  * NOTES: remove part about postmulti and postfix@.service
  * d/rules: ship /var/spool/postfix/dev (Closes: #1094571)
  * gbp.conf: switch to 3.10
  * 10_openssl_version_check.diff: remove, not needed anymore
  * 40_chroot_by_default.diff: refresh, reduce context
  * 50_LANG.diff: rediff, reduce context
  * debian/patches/reproducible: remove, applied upstream
  * makedefs-fix-RELEASE_MAJOR-expression.patch, sqlite-open-fix.patch:
    remove, applied upstream
  * debian-fix-manpages-C-font.patch: remove
  * enable TLSRPT (+Build-Depends: libtlsrpt0-dev)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 02 Mar 2025 11:20:24 +0300

postfix (3.9.1-10) unstable; urgency=medium

  * main.cf.tls: use smtp_tls_CAfile, not smtp_tls_CApath;
    add comments for all parameters
  * postfix.service: remove not-relevant-anymore comment
  * control: Pre-Depends: init-system-helpers, since we run invoke-rc.d
    manually from triggers and ${misc:Pre-Depends} is not set
  * postfix.postinst: remove --skip-systemd-native from invoke-rc.d call
    since we checked for systemd already
  * postfix.maintscript: convert to conffiles
  * postfix-doc: rm conffile /etc/postfix/postfix-files.d/doc.files
    (Closes: #1091839)
  * configure-instance: remove dev/u?random in chroot when upgrading
  * rules: do not install makedefs.1 manpage
  * debian-fix-manpages-C-font.patch: use different manpage formatting for
    examples (fixes roff being unable to find C font)
  * d/tests: replace "useradd -p" with chpasswd (Closes: #1092751)
  * sqlite-open-fix.patch: fix opening of sqlite map files

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 11 Jan 2025 15:46:36 +0300
