## postfix 3.10.2

=== debian/changelog ===
postfix (3.10.2-1ubuntu2) questing; urgency=medium

  * d/rules: set CFLAGS std=gnu17 to fix build errors on gcc15 (LP: #2125198)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Fri, 19 Sep 2025 15:14:55 +0200

postfix (3.10.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110451). Remaining changes:
  * Dropped:
    - d/rules: ship /var/spool/postfix/dev (#1094571)
      [In 3.10.1-1]
  * Added changes:
    - d/rules, d/control: disable TLSRPT, since libtlsrpt is in Universe

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 10 Jun 2025 18:30:53 -0300

postfix (3.10.2-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream minor/bugfix/maintenance release
    Closes: #1100449 (postfix: main.cf corrupted after upgrade)
  * postfix.service: add CAP_DAC_READ_SEARCH (Closes: #1099891)

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Apr 2025 11:42:50 +0300

postfix (3.9.1-10ubuntu1) plucky; urgency=medium

  * d/rules: ship /var/spool/postfix/dev (#1094571)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 31 Jan 2025 09:36:36 -0300
