=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: Debian Postfix Team <team+postfix@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Postfix Team <team+postfix@tracker.debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Michael Tokarev <mjt@tls.msk.ru>,
            Scott Kitterman <scott@kitterman.com>
@@ -34,7 +35,7 @@
 
 Package: postfix
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}, init-system-helpers (>= 1.54~)
 Depends: adduser,
          netbase,
          ${misc:Depends},
