=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export SHELL = /bin/sh -e
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto future=+lfs
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 # Extra hardening flags (level 3):
 # https://developers.redhat.com/articles/2022/09/17/gccs-new-fortification-level
 # https://fedoraproject.org/wiki/Changes/Add_FORTIFY_SOURCE%3D3_to_distribution_build_flags
@@ -171,7 +172,9 @@
 		${prvlibdir} \
 		${daemondir} \
 		etc/postfix/postfix-files.d \
-		etc/postfix/sasl
+		etc/postfix/sasl \
+		var/spool/postfix/dev $(# for rsyslogd socket, #1094571) \
+
 # main binaries and libs:
 	install -m0755 libexec/[a-z]* -t ${base}${daemondir}/
 #   these 2 are hard links (see conf/postfix-files):
@@ -212,7 +215,7 @@
 		-e 'meta_directory/dynamicmaps\.cf\.d' \
 		meta/postfix-files > debian/postfix-files
 # manpages
-	dh_installman -p ${package} \
+	dh_installman -p ${package} -Xmakedefs \
 		man/man1/*.1 man/man5/*.5 man/man8/*.8 \
 		rmail/rmail.8
 # fix manpage names in postfix-files
@@ -232,5 +235,3 @@
 # debian-specific and extra addons
 	install -m0644 debian/functions -T ${base}/usr/share/postfix/postinst.functions
 	sed 's/@MULTIARCH@/${DEB_HOST_MULTIARCH}/' debian/configure-instance.in > \
-		${base}${prvlibdir}/configure-instance.sh
-	chmod 0755 ${base}${prvlibdir}/configure-instance.sh
