## postfix 3.10.3

=== debian/changelog ===
postfix (3.10.3-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports:
    disable tlsrpt (not available on bookworm)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 18 Jul 2025 21:26:06 +0300

postfix (3.10.3-2) unstable; urgency=medium

  * d/changelog: fix wrongly formatted previous changelog entry (double email)
  * update Portuguese translation (Closes: #1107436)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Jul 2025 00:50:43 +0300

postfix (3.10.3-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream stable/bugfix release.  From the release announcement:
    This release fixes defects that were introduced in Postfix 3.10.
    The defects exist only with the default configuration
    "tls_required_enable = yes".
  * Bugfix (defect introduced: Postfix-3.10, date 20250117): include
    the current TLS security level in the SMTP connection cache
    lookup key for lookups by next-hop destination, to avoid reusing
    the same SMTP connection when sending messages with and without
    a "TLS-Required: no" header. Likewise, include the current TLS
    security level in the TLS session lookup key, to avoid reusing
    the same TLS session info when sending messages with and without
    a "TLS-Required: no" header.
  * Bugfix (defect introduced: Postfix-3.10, date 20250117): the
    Postfix SMTP client attempted to look up TLSA records even with
    "TLS-Required: no". This could result in unnecessary failures.
    Fix by Viktor Dukhovni & Wietse.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Jul 2025 00:26:40 +0300
