=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Postfix Team <team+postfix@tracker.debian.org>
+Maintainer: Debian Postfix Team <team+postfix@tracker.debian.org>
 Uploaders: LaMont Jones <lamont@debian.org>,
            Michael Tokarev <mjt@tls.msk.ru>,
            Scott Kitterman <scott@kitterman.com>
@@ -23,6 +22,7 @@
                libnsl-dev | libc6-dev (<<2.37-15.1),
                libpcre2-dev,
                libpq-dev,
+#bpo               libtlsrpt0-dev,
                libsasl2-dev,
                libsqlite3-dev,
                libssl-dev,
