=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 export SHELL = /bin/sh -e
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto future=+lfs
-export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 # Extra hardening flags (level 3):
 # https://developers.redhat.com/articles/2022/09/17/gccs-new-fortification-level
 # https://fedoraproject.org/wiki/Changes/Add_FORTIFY_SOURCE%3D3_to_distribution_build_flags
@@ -86,6 +85,9 @@
 	-I/usr/include/libmongoc-1.0 -I/usr/include/libbson-1.0
 CONFARGS += AUXLIBS_MONGODB="-lmongoc-1.0 -lbson-1.0"
 endif
+
+#bpo CCARGS += -DUSE_TLSRPT
+#bpo AUXLIBS += -ltlsrpt
 
 %:
 	dh $@
