## postfix 3.10.4

=== debian/changelog ===
postfix (3.10.4-1) unstable; urgency=medium

  * New upstream stable/bugfix version 3.10.4, with a handful of fixes
  * d/rules: use pkgconf for mongoc instead of hard-coding paths/libs

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 19 Aug 2025 17:12:54 +0300

postfix (3.10.3-3) unstable; urgency=medium

  * configure-instance.in: fix typo
  * configure-instance.in: limit maxdepth=1 in /etc/ssl/certs dirs
  * configure-instance.in: use home-grown file copy procedure to sync chroot
    There are a few issues with using cp(1) to update files in chroot, -
    a file should be copied even if the source date is *less* than the
    target date (eg, if a package has been downgraded), which is not done
    by `cp -u` (#1110704), a file should be copied atomically (copy+rename,
    not truncate+copy), and care should be taken with extra attributes
    (#1100100).  Use a simple perl-based script (using just perl-base)
    to update files instead, which fixes all this stuff.
    (Closes: #1100100, #1110704)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 13 Aug 2025 14:29:46 +0300
