=== debian/rules ===
--- 
+++ 
@@ -81,13 +81,12 @@
 
 ifneq (,$(filter ${package}-mongodb,${POSTFIX_PACKAGES_2BUILD}))
 maps += mongodb
-CCARGS += -DHAS_MONGODB \
-	-I/usr/include/libmongoc-1.0 -I/usr/include/libbson-1.0
-CONFARGS += AUXLIBS_MONGODB="-lmongoc-1.0 -lbson-1.0"
+CCARGS += -DHAS_MONGODB $$(pkgconf -cflags mongoc2)
+CONFARGS += AUXLIBS_MONGODB="$$(pkgconf -libs mongoc2)"
 endif
 
-#bpo CCARGS += -DUSE_TLSRPT
-#bpo AUXLIBS += -ltlsrpt
+CCARGS += -DUSE_TLSRPT
+AUXLIBS += -ltlsrpt
 
 %:
 	dh $@
@@ -237,3 +236,4 @@
 # debian-specific and extra addons
 	install -m0644 debian/functions -T ${base}/usr/share/postfix/postinst.functions
 	sed 's/@MULTIARCH@/${DEB_HOST_MULTIARCH}/' debian/configure-instance.in > \
+		${base}${prvlibdir}/configure-instance.sh
