## postfix 3.10.5

=== debian/changelog ===
postfix (3.10.5-1~deb13u1) trixie; urgency=medium

  * new upstream stable/bugfix 3.10.5 release, with multiple fixes.
    From the upstream release notes:
  - Workaround for an interface mis-match between the Postfix SMTP client
    and MTA-STS policy plugins.
     * The existing behavior is to connect to any MX host listed in DNS, and
       to match the server certificate against any STS policy MX host pattern.
     * The corrected behavior is to connect to an MX host only if its
       name matches any STS policy MX host pattern, and to match the server
       certificate against the MX hostname.
    The corrected behavior must be enabled in two places: in Postfix with a
    new parameter "smtp_tls_enforce_sts_mx_patterns" (default: "yes") and in
    an MTA-STS plugin by enabling TLSRPT support, so that the plugin forwards
    STS policy attributes to Postfix. This works even if Postfix TLSRPT
    support is disabled at build time or at runtime.
  - TLSRPT Workaround: when a TLSRPT policy-type value is "no-policy-found",
    pretend that the TLSRPT policy domain value is equal to the recipient
    domain. This ignores that different policy types (TLSA, STS) use different
    policy domains.  But this is what Microsoft does, and therefore,
    what other tools expect.
  - Bugfix (defect introduced: Postfix 3.0): the Postfix SMTP client's
    connection reuse logic did not distinguish between sessions that
    require SMTPUTF8 support, and sessions that do not. The solution is
     1) to store sessions with different SMTPUTF8 requirements
        under distinct connection cache storage keys, and
     2) to not cache a connection when SMTPUTF8 is required
        but the server does not support that feature
  - Bugfix (defect introduced: Postfix 3.0, date 20140731):
    the smtpd 'disconnect' command statistics did not count commands
    with "bad syntax" and "bad UTF-8 syntax" errors
  - Postfix 3.11 forward compatibility: to avoid ugly warnings when
    Postfix 3.11 is rolled back to an older version, allow a preliminary
    'size' record in maildrop queue files created with Postfix 3.11 or later
  - Bugfix (defect introduced: Postfix 3.8, date 20220128):
    non-reproducible build, because the 'postconf -e' output order
    for new main.cf entries was no longer deterministic
  - To make builds predictable, add missing meta_directory and
    shlib_directory settings to the stock main.cf file
  - Bugfix (defect introduced: Postfix 3.9, date 20230517):
    posttls-finger(1) logged an incorrectly-formatted port number
  * debian/patches/debian-defaults.patch: refresh, update for 2 new
    parameters (with defaults) in main.cf, and make it with less context
  * configure-instance.in: fix typo which caused recreating
    cadir in chroot and excessive logging (Closes: #1115412)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 28 Oct 2025 13:24:35 +0300

postfix (3.10.4-1~deb13u1) trixie; urgency=medium

  * New upstream stable/bugfix version 3.10.4, with a handful of fixes.
    From the upstream release notes:
    - Fixes for postscreen(8):
      * Bugfix (defect introduced: Postfix 2.2, date 20050203): after
        detecting a lookup table change, and after starting a new
        postscreen process, the old postscreen process logged an ENOTSOCK
        error while attempting to accept a connection on a socket that
        it was no longer listening on. This error was introduced first
        in the multi_server skeleton code, and was five years later
        duplicated in the event_server skeleton that was created for
        postscreen. Problem reported by Florian Piekert.
      * Bugfix (defect introduced: Postfix 2.8, date 20101230):
        after detecting a cache table change and before starting a new
        postscreen process, the old postscreen process did not close the
        postscreen_cache_map, and therefore kept an exclusive lock that
        could prevent a new postscreen process from starting. Problem
        reported by Florian Piekert.
    - Fixes for tlsproxy(8):
      * Bugfix (defect introduced: Postfix 3.7): incorrect backwards
        compatible support for the legacy configuration parameters
        tlsproxy_client_level and tlsproxy_client_policy. This
        disabled the tlsproxy TLS client role when a legacy parameter
        was set (instead of the newer tlsproxy_client_security_level
        or tlsproxy_client_policy_maps). Reported by John Doe,
        diagnosed by Viktor Dukhovni.
      * Bugfix (defect introduced: Postfix 3.4): with the TLS client role
        disabled by configuration, the tlsproxy daemon dereferenced a
        null pointer while handling a tlsproxy client request. Reported by
        John Doe.
    - Reducing process churn: Postfix daemons no longer automatically
      restart after a btree:, dbm:, hash:, lmdb:, or sdbm: table file
      modification time change, when they opened that table for writing.
    - Portability: deleted an <openssl/engine.h> build dependency,
      because the feature is being removed from OpenSSL, and Postfix
      no longer needs it.
    - Cleanup: with "tls_required_enable = yes", the Postfix SMTP client
      will no longer maintain TLSRPT statistics for messages that contain
      a "TLS-Required: no" header. This can prevent TLSRPT notifications
      for TLSRPT notifications.
    - Bugfix (defect introduced: Postfix 3.6, date 20200710): Postfix TLS
      client code logged "Untrusted TLS connection" (wrong) instead of
      "Trusted TLS connection" (right), for a new or resumed TLS session,
      when a server offered a trusted (valid PKI trust chain) certificate
      that did not match the expected server name pattern. Fix by Viktor
      Dukhovni.
  * d/gbp.conf: debian-branch=debian/trixie
  * configure-instance.in: fix typo
  * configure-instance.in: limit maxdepth=1 in /etc/ssl/certs dirs
  * configure-instance.in: use home-grown file copy procedure to sync chroot

