=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libnsl-dev | libc6-dev (<<2.37-15.1),
                libpcre2-dev,
                libpq-dev,
-#bpo               libtlsrpt0-dev,
+               libtlsrpt0-dev,
                libsasl2-dev,
                libsqlite3-dev,
                libssl-dev,
