## postfix 3.10.6

=== debian/changelog ===
postfix (3.10.6-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding default-mta to postfix provides.
    - Reverting using pkgconf for mongo-c-driver to fix FTBFS in trixie
      (#1111613).
  * Merging upstream version 3.10.6.
  * Merging debian version 3.10.6-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 26 Nov 2025 09:58:04 +0100

postfix (3.10.6-1) unstable; urgency=medium

  * new upstream stable release:

   - Bugfix (defect introduced: Postfix 3.10, date: 20250117).
     Symptom: warning messages that smtp_tls_wrappermode requires
     "smtp_tls_security_level = encrypt".
     Root cause: support for "TLS-Required: no" broke client-side
     TLS wrappermode support, by downgrading a connection to TLS
     security level 'may'.
     The fix changes the downgrade level for wrappermode connections
     to 'encrypt'. Rationale: by design, TLS can be optional only
     for connections that use STARTTLS. The downgrade to unauthenticated
     'encrypt' allows a sender to avoid an email delivery problem.
     Problem reported by Joshua Tyler Cochran.

   - New logging: the Postfix SMTP client will log a warning when
     an MX hostname does not match STS policy MX patterns, with
     "smtp_tls_enforce_sts_mx_patterns = yes" in Postfix, and with
     TLSRPT support enabled in a TLS policy plugin. It will log a
     successful match only when verbose logging is enabled.

   - Bugfix (defect introduced: Postfix 3.10, date: 20240902): SMTP
     client null pointer crash when an STS policy plugin sends no
     policy_string or no mx_pattern attributes. This can happen only
     during tests with a fake STS plugin.

   - Bugfix (defect introduced: Postfix 2.9, date: 20120307): segfault
     when a duplicate parameter name is given to "postconf -X" or
     "postconf -#'.

   - Documentation: removed incorrect text from the parameter
     description for smtp_cname_overrides_servername. File:
     proto/postconf.proto.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Nov 2025 11:12:30 +0300

postfix (3.10.5-3~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding default-mta to postfix provides.
    - Reverting using pkgconf for mongo-c-driver to fix FTBFS in trixie
      (#1111613).
  * Merging debian version 3.10.5-3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 22 Nov 2025 07:02:20 +0100

postfix (3.10.5-3) unstable; urgency=medium

  [ Aaron Thompson ]
  * debian-postfix-chroot-cmd.patch: Fix non-ASCII whitespace typo
  * configure-instance.in: fix typo
  * d/README.Debian: minor copyediting
  * Fix some cosmetic typos

  [ Michael Tokarev ]
  * changelog: fix the Closes: #1120869 line in the previous upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Nov 2025 12:00:41 +0300

postfix (3.10.5-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding default-mta to postfix provides.
    - Reverting using pkgconf for mongo-c-driver to fix FTBFS in trixie
      (#1111613).
  * Merging debian version 3.10.5-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 22 Nov 2025 07:02:00 +0100

postfix (3.10.5-2) unstable; urgency=medium

  * keep postfix running during upgrades (Closes: #1120869)

    Instead of stopping postfix instances before upgrade and starting
    them after, keep them running during whole upgrade, and restart in
    one go when finished.

    Sometimes during upgrade, old running instance might try to run
    a new binary which is somehow incompatible with the old instance.
    Or a new binary try to load old dictionary module and fails.
    In the worst case, it will cause throttle for this service,
    but it will be over on restart after upgrade.

    But keeping postfix running will make 2 things happen:

    1. In many situations, email will continue working during upgrades;
    2. Secondary instances will be restarted automatically too

  * d/rules: stop stopping/restarting postfix-resolvconf,
    since it is pointless

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Nov 2025 11:00:45 +0300

postfix (3.10.5-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding default-mta to postfix provides.
    - Reverting using pkgconf for mongo-c-driver to fix FTBFS in trixie
      (#1111613).
  * Merging upstream version 3.10.5.
  * Merging debian version 3.10.5-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Nov 2025 06:36:48 +0100

postfix (3.10.5-1) unstable; urgency=medium

  * new upstream stable release.  From the Release Notes:

  * Workaround for an interface mis-match between the Postfix SMTP
    client and MTA-STS policy plugins.

      * The existing behavior is to connect to any MX host listed
        in DNS, and to match the server certificate against any STS
        policy MX host pattern.

      * The corrected behavior is to connect to an MX host only if
        its name matches any STS policy MX host pattern, and to
        match the server certificate against the MX hostname.

    The corrected behavior must be enabled in two places: in Postfix
    with a new parameter "smtp_tls_enforce_sts_mx_patterns" (default:
    "yes") and in an MTA-STS plugin by enabling TLSRPT support, so
    that the plugin forwards STS policy attributes to Postfix. This

