=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: Debian Postfix Team <team+postfix@tracker.debian.org>
-Uploaders: LaMont Jones <lamont@debian.org>,
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian Postfix Team <team+postfix@tracker.debian.org>
+XSBC-Original-Uploaders: LaMont Jones <lamont@debian.org>,
            Michael Tokarev <mjt@tls.msk.ru>,
            Scott Kitterman <scott@kitterman.com>
+Bugs: mailto:maintainers@lists.progress-linux.org
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.postfix.org
@@ -30,8 +33,10 @@
                pkgconf,
                po-debconf,
                txt2man
-Vcs-Browser: https://salsa.debian.org/postfix-team/postfix-dev
-Vcs-Git: https://salsa.debian.org/postfix-team/postfix-dev.git
+Vcs-Browser: https://git.progress-linux.org/horok-backports/postfix
+Vcs-Git: https://git.progress-linux.org/horok-backports/postfix
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/postfix-team/postfix-dev
+XSBC-Original-Vcs-Git: https://salsa.debian.org/postfix-team/postfix-dev.git
 
 Package: postfix
 Architecture: any
