=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,9 @@
 CCARGS = \
 	-DDEBIAN \
 	-DMYORIGIN_FROM_FILE
+# -std=gnu17 to work around incorrect usage of bool vs int in postfix
 CONFARGS = \
-	CC="${CC}" \
+	CC="${CC} -std=gnu17" \
 	DEBUG='' \
 	OPT="${CPPFLAGS} ${CFLAGS} ${LDFLAGS}"
 AUXLIBS =
@@ -128,7 +129,7 @@
 # do nothing
 
 override_dh_install-indep:
-# note: actual docs goes to postfix package doc dir instead of postix-doc
+# note: actual docs go to postfix package doc dir instead of postfix-doc
 # (dh_installdocs & dh_installexamples etc does magic on this)
 	cp -p AAAREADME meta/README # rename
 	dh_installdocs -p ${package}-doc \
@@ -236,4 +237,3 @@
 	rm -f debian/postfix-files
 # debian-specific and extra addons
 	install -m0644 debian/functions -T ${base}/usr/share/postfix/postinst.functions
-	sed 's/@MULTIARCH@/${DEB_HOST_MULTIARCH}/' debian/configure-instance.in > \
