## postfix 3.10.8

=== debian/changelog ===
postfix (3.10.8-1) unstable; urgency=medium

  * New upstream version 3.10.8
  * Revert "rules: specify -std=gnu17 for CC (#1097639)"
    (similar solution is adopted upstream)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 28 Feb 2026 10:38:03 +0300

postfix (3.10.6-4) unstable; urgency=medium

  * disable chrooting by default finally, after 25 years of everyone suffering.
    Only limited support for chroot mode will be provided for backwards
    compatibility.  With this in mind, let's close all chroot-related bugs.
    Closes: #151692, #1084167, #606007, #631665, #714770, #406348,
    Closes: #1026394, #257096, #278530, #776685, #893516, #935825,
    Closes: #678808, #896879, #412413, #802043
  * yes there's no 3.10.6-3 changelog entry - which was chroot disabling
    without closing the bugs.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 28 Jan 2026 00:07:44 +0300

postfix (3.10.6-2) unstable; urgency=medium

  * configure-instance: put /usr/lib/$multiarch/libnss_*.so stuff
    to the same dir in chroot, to have unified layout, to let
    postfix-script to compare the same files, and to use the same
    syncfiles script.
  * configure-instance: try to remove whole $chroot/lib as it is not
    used anymore, all libs should be in usr/lib/$multiarch now.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 27 Jan 2026 23:42:54 +0300
