=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,8 @@
 CCARGS = \
 	-DDEBIAN \
 	-DMYORIGIN_FROM_FILE
-# -std=gnu17 to work around incorrect usage of bool vs int in postfix
 CONFARGS = \
-	CC="${CC} -std=gnu17" \
+	CC="${CC}" \
 	DEBUG='' \
 	OPT="${CPPFLAGS} ${CFLAGS} ${LDFLAGS}"
 AUXLIBS =
@@ -82,9 +81,8 @@
 
 ifneq (,$(filter ${package}-mongodb,${POSTFIX_PACKAGES_2BUILD}))
 maps += mongodb
-CCARGS += -DHAS_MONGODB \
-	-I/usr/include/libmongoc-1.0 -I/usr/include/libbson-1.0
-CONFARGS += AUXLIBS_MONGODB="-lmongoc-1.0 -lbson-1.0"
+CCARGS += -DHAS_MONGODB $$(pkgconf -cflags mongoc2)
+CONFARGS += AUXLIBS_MONGODB="$$(pkgconf -libs mongoc2)"
 endif
 
 CCARGS += -DUSE_TLSRPT
@@ -237,3 +235,5 @@
 	rm -f debian/postfix-files
 # debian-specific and extra addons
 	install -m0644 debian/functions -T ${base}/usr/share/postfix/postinst.functions
+	sed 's/@MULTIARCH@/${DEB_HOST_MULTIARCH}/' debian/configure-instance.in > \
+		${base}${prvlibdir}/configure-instance.sh
